hi all,

i am getting following error on starting server by using "ruby
script/server webrick -b some_Ip_address" on Fedora 14 ,is anyone know
why this is coming ?


INFO WEBrick 1.3.1
[2012-01-18 04:37:13] INFO ruby 1.8.7 (2011-02-18) [i386-linux]
[2012-01-18 04:37:13] WARN TCPServer Error: Cannot assign requested
address - bind(2)
Exiting
/usr/lib/ruby/1.8/webrick/utils.rb:73:in `initialize': Cannot assign
requested address - bind(2) (Errno::EADDRNOTAVAIL)
from /usr/lib/ruby/1.8/webrick/utils.rb:73:in `new'
from /usr/lib/ruby/1.8/webrick/utils.rb:73:in `create_listeners'
from /usr/lib/ruby/1.8/webrick/utils.rb:70:in `each'
from /usr/lib/ruby/1.8/webrick/utils.rb:70:in `create_listeners'
from /usr/lib/ruby/1.8/webrick/server.rb:75:in `listen'
from /usr/lib/ruby/1.8/webrick/server.rb:63:in `initialize'
from /usr/lib/ruby/1.8/webrick/httpserver.rb:24:in `initialize'
from /usr/lib/ruby/gems/1.8/gems/rack-1.1.3/lib/rack/handler/webrick.rb:10:in
`new'
from /usr/lib/ruby/gems/1.8/gems/rack-1.1.3/lib/rack/handler/webrick.rb:10:in
`run'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/commands/server.rb:111
from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in
`gem_original_require'
from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in
`require'
from script/server:3




--

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

Discussion Posts

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 5 | next ›
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedJan 18, '12 at 9:44a
activeJan 18, '12 at 11:17a
posts5
users3
websiterubyonrails.org
irc#RubyOnRails

People

Translate

site design / logo © 2021 Grokbase